<?php
/*
 * Arturo: Agregar link de invitacion shopper approved en correo 'completed order'
 * Version 2
 * - Añadimos el link en correo con la funcion: añadir_invitacion_shopperapproved_email
 * - Añadimos configuracion en woocommerce/settings/emails con la funcion: agregar_checkbox_link_invitacion_shopper_approved
 * - Guardamos la configuracion con la funcion: guardar_checkbox_link_invitacion_shopper_approved
 * - recuperar_checkbox_link_invitacion_shopper_approved() es para recuperar informacion
*/

if ( ! defined( 'ABSPATH' ) ) {
	exit;
}


add_action( 'woocommerce_email_customer_details', 'añadir_invitacion_shopperapproved_email', 30, 4 ); // Después de la tabla de contenido
  
function añadir_invitacion_shopperapproved_email( $order, $sent_to_admin, $plain_text, $email ) {
	if(recuperar_checkbox_link_invitacion_shopper_approved()=="yes"){
		$items = $order->get_items();
		foreach ($items as $item) {
			$product = $item->get_product();
			if ($product) {
				$sku[] = $product->get_sku();
			}
		}
		//$image_url = get_stylesheet_directory_uri() . 'images/shopperapproved-logo.png';
		$image_url = plugins_url() . '/waotiendas/images/shopperapproved-logo.png';
		//$link = "https://www.shopperapproved.com/surveys/full.php?id=39036&code=5e27yQdW&products[]=".$sku[0];
		$link=get_option('woocommerce_shopper_approved_url','nada').$sku[0];
		$texto= __('We would be very grateful if you could rate our store on <b>Shopper Approved</b>. To do so, follow this link: ','wao-tiendas');
		$boton= __('Review','wao-tiendas');
		if ( $email->id == 'customer_completed_order' ) { //Aqui ponemos el ID del correo completado
			echo '
<div style="background-color:#F2F6FC;color:#003057;font-family:Poppins,sans-serif;font-size:16px;width:600px;display:flex;padding:15px;margin-bottom:10px;">
<div style="float:left;"><img src="'.$image_url.'" width="150px" /></div>
<div style="float:right;margin-left:15px;line-height:150%">'.$texto.'<a href="'.$link.'" style="color: #fff!important;background: #175cd3;font-weight: 500;border: 0;font-family: roboto,Arial,Helvetica,sans-serif;padding:5px;border-radius:5px;text-decoration:none">'.$boton.'</a></div>
</div>
			';
		}
		
	}

}

/// Añadir una casilla de verificación personalizada a la configuración de emails de WooCommerce
function agregar_checkbox_link_invitacion_shopper_approved($fields) {
    $checkbox_value = get_option('woocommerce_shopper_approved', 'no');
    $url_value = get_option('woocommerce_shopper_approved_url');
    
    $fields['woocommerce_shopper_approved_title'] = array(
        'title' => 'Shopper Approved WAO Configuration',
        'type' => 'title'
    );

    $fields['woocommerce_shopper_approved'] = array(

        'title' => 'Enviar link de invitación Shopper Approved',
        'type' => 'checkbox',
        'label' => 'Habilitar envío de link de invitación Shopper Approved en este email',
        'desc' => 'Marca esta casilla si deseas habilitar el envío del link de invitación de Shopper Approved en los correos de <b>Order Completed</b>.',
        'default' => $checkbox_value,
        'id' => 'woocommerce_shopper_approved', // Agrega un ID
        'name' => 'woocommerce_shopper_approved' // Agrega un nombre
    );

    $fields['woocommerce_shopper_approved_link'] = array(

        'title' => 'Url base de shopper approved',
        'type' => 'url',
        'label' => 'Url base de shopper approved',
        'desc' => 'Escribe la url base de shopper approved obtenida de la plataforma.',
        'default' => $url_value,
        'id' => 'woocommerce_shopper_approved_url', // Agrega un ID
        'name' => 'woocommerce_shopper_approved_url' // Agrega un nombre
    );


    $fields['woocommerce_shopper_approved_title1'] = array(
        'title' => '',
        'type' => 'title'
    );
    
    return $fields;
}
add_filter('woocommerce_email_settings', 'agregar_checkbox_link_invitacion_shopper_approved');

// Guardar la configuración de la casilla de verificación personalizada a nivel del sitio
function guardar_checkbox_link_invitacion_shopper_approved() {
    if (isset($_POST['woocommerce_shopper_approved'])) {
        update_option('woocommerce_shopper_approved', 'yes');
    } else {
        update_option('woocommerce_shopper_approved', 'no');
    }
    if (isset($_POST['woocommerce_shopper_approved_url'])) {
        update_option('woocommerce_shopper_approved_url', $_POST['woocommerce_shopper_approved_url']);
    }
}
add_action('woocommerce_update_options_email', 'guardar_checkbox_link_invitacion_shopper_approved');

// Recuperar la configuración de la casilla de verificación personalizada a nivel del sitio
function recuperar_checkbox_link_invitacion_shopper_approved() {
    return get_option('woocommerce_shopper_approved', 'no');
}
/*
 * FIN DE: Agregar link de invitacion shopper approved en correo 'completed order'
*/